List credit purchase invoices, newest first
const url = 'https://api.runta.com/v2/organizations/example/billing/invoices?page_size=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.runta.com/v2/organizations/example/billing/invoices?page_size=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Stable Portal organization UUID.
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Response envelope.
object
object
object
manual for a top-up a person started, automatic for an automatic top-up.
Amount in the minor unit of currency.
Examplegenerated
{ "data": { "invoices": [ { "id": "example", "top_up_id": "example", "source": "example", "number": "example", "status": "example", "amount_minor": 1, "currency": "example", "payment_status": "example", "hosted_invoice_url": "example", "invoice_pdf_url": "example", "created_at": "2026-04-15T12:00:00Z" } ] }}Missing, malformed, or rejected bearer token
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Validation or application error
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Operation is not implemented
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}default
Section titled “default”Error response
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}